```wmd-options
language = es
title_i18n = wmarkdown_title_links
title_text = Links o enlaces - WMarkDown
```

<!-- [[wmd]] -->

### Links o enlaces

Para identificar o marcar un Link o enlace en WMarkDown, tenemos varias opciones según nos convenga en su momento, ya sea por comodidad o necesidad. En nuestro caso tenemos los estándares de MarkDown y MediaWiki, así como un sistema propio y detección automática de enlaces mediante búsqueda de protocolos de red con su división al Path, URL o código que lo sigan "://", de esta forma podemos identificar protocolos como:

- FILE.
- HTTP y HTTPS.
- FTP y FTPS.
- SFTP, SSH, etc.
- Etcétera.

Así pues, contando con los distintos métodos que tenemos para generar Links nos encontramos con los siguientes modos.

> [!!] Para poder ignorar un Link el cual no se quiere que aparezca o que posiblemente se haga uso de un texto el cual no sea un Link hemos de usar las marcas para ignorar el formato de fragmentos de texto que se relata en el [/doc/es/exclude.w.md Módulo de Exclusión] o "[/doc/es/exclude.w.md Ignore]". También se puede hacer uso de los escapes o de código Ampersand para impedir que dichos contenidos se vean afectados.

> [!!] Es importante mencionar que los Links, teóricamente no deben de contener espacios, motivo por el cual, si éstos poseen espacios, como pueden ser los casos de los números de teléfono, en el propio enlace éstos se compactarán, aunque se mostrará íntegramente como se hallan escrito por el usuario.

#### Link directo

Al escribir un Link identificable mediante protocolo o por si es un elemento como una dirección E-Mail, éste puede ser escrito de forma directa.

```wmd-examples

Aquí te pongo un Link directo: https://wmarkdown.k3y.pw/

También se puede hacer un Link directo de una dirección de E-Mail tal como kyman-ficticio@wmarkdown.k3y.pw

```

> [!!] Es importante destacar que este modo de trabajo no permite definirle un texto directo al enlace quedando únicamente el propio texto del enlace como texto tanto de título como de muestreo.

> [!! ¡OJO!] En este caso, por ejemplo, en un párrafo el cual acabe en un signo como el punto o la coma, si éste va pegado al Link éste lo entenderá como parte del mismo.

#### Link MediaWiki

El Link de MediaWiki se integra a partir de apertura y cierre de corchetes de forma directa, y todo lo que se comprenda ahí dentro se entenderá como Link. También hay que destacar que si hay un espacio éste se entenderá como separador del texto que se quiere que represente el Link. Este modo también distingue ciertos protocolos como el de los teléfonos.

```wmd-examples

Web de [https://wmarkdown.k3y.pw/].

Para ver más información, por favor, presione [https://wmarkdown.k3y.pw/ aquí].

Esto es un número de teléfono [+65 9127 92 35 533] y este es otro [723 564 123] y este el mismo de antes pero más obfuscado [723564123].

Y esto es una dirección E-Mail [kyman-ficticio@wmarkdown.k3y.pw].

También puedes poner direcciones como Cryptomonedas como [bitcoin:tb1qujswuek3mefsm3m84g94ek40drysxe9z09yfnc tb1qujswuek3mefsm3m84g94ek40drysxe9z09yfnc] o [litecoin:tltc1q4xy8sg2hf6nqqrhp69aukn6md3rx8v6jlqc67s tltc1q4xy8sg2hf6nqqrhp69aukn6md3rx8v6jlqc67s] entre otras.

```

#### Link MarkDown

El Link MarkDown es el Link más complejo. Por su versatilidad fue integrado pero por la complejidad hubo dudas a la hora de integrarlo. Éste se basa en un bloque opcional comprendido entre corchetes que contempla el texto que se quiere que aparezca; luego el Link entre paréntesis el cual, dentro del paréntesis puede ir acompañado de tras un espacio o tabulación, de forma opcional, ya sea entre comillas simples dobles o nada, un texto que sea el título que se presente con el puntero.

```wmd-examples

Web de (https://wmarkdown.k3y.pw/).

Para ver más información, por favor, presione [aquí](https://wmarkdown.k3y.pw/ Link a WMarkDown.).

Esto es un número de teléfono [+65 9127 92 35 533](tel:+6591279235533 Un teléfono inventado xD) y este es otro [723 564 123](723 564 123 También admite espacios.) y este el mismo de antes pero más obfuscado [723564123](723564123).

Y esto es una dirección E-Mail [kyman-ficticio@wmarkdown.k3y.pw].

También puedes poner direcciones como Cryptomonedas como [tb1qujswuek3mefsm3m84g94ek40drysxe9z09yfnc](bitcoin:tb1qujswuek3mefsm3m84g94ek40drysxe9z09yfnc Dirección Bitcoin TestNet) o [tltc1q4xy8sg2hf6nqqrhp69aukn6md3rx8v6jlqc67s](litecoin:tltc1q4xy8sg2hf6nqqrhp69aukn6md3rx8v6jlqc67s Dirección Litecoin TestNet) entre otras.

```

<!-- [[wmd]] -->