```wmd-options
language = es
title_i18n = wmarkdown_title_presentation_links
title_text = Módulo de Links de presentación - WMarkDown
```

<!-- [[wmd]] -->

### Módulo de Links de presentación

Este módulo está orientado a facilitar una presentación visual y estética de elementos.

> [!#] Este módulo nació con la idea de presentar proyectos externos de los que depende el proyecto actual que se documenta mediante WMarkDown; lenguajes de programación y tecnologías usadas; o bien, para mostrar proyectos que hacen uso público de la tecnología que se presenta. Es un poco a modo de créditos pero se puede usar para otras muchas cosas, como presentación de usuarios, personas, miembros, etc.

Este elemento consta de 3 partes:

* **Título**: Viene siendo un texto de presentación o nombre del elemento en cuestión.
* **Avatares**: Links a imágenes que representen dicho elemento. Éste permite más de una imagen pues, en orden vertical irá cogiendo el primero que le salga sin error. Al ser normalmente un recurso externo, éste puede fallar, por lo que teniendo más de una opción, éste tendrá más dificultades a que falle.
* **Links**: Los Links son enlaces a Webs, ya sean oficiales, de información o de proyectos, entre otros, que se le pueden vincular. Por defecto, el icono del Link será el favicon del sitio Web al que se hace referencia.

Para definir cada uno de los elementos, basándose en la estructura sintáctica de Python, se usarán líneas, las cuales determinan que si no tienen espacios de inicio es el título; si empieza con un asterísco es una opción para avatar; y si no, sería un Link de referencia.

```wmd-examples

El siguiente bloque sería un ejemplo de este módulo:

[["""
AnP
    *https://anp.k3y.pw/images/AnP.png
    *https://anp.k3y.pw/images/AnP-512.png
    *https://anp.k3y.pw/favicon.ico
    https://anp.k3y.pw/
    https://git.k3y.pw/AnP/AnP
CDN de KyMAN
    *https://cdn.k3y.pw/images/CDN.png
    *https://cdn.k3y.pw/images/CDN-512.png
    *https://cdn.k3y.pw/favicon.ico
    https://cdn.k3y.pw/
    https://git.k3y.pw/KyMAN/CDN
ErrorsManager
    *https://errorsmanager.k3y.pw/images/ErrorsManager.png
    *https://errorsmanager.k3y.pw/images/ErrorsManager-512.png
    *https://errorsmanager.k3y.pw/favicon.ico
    https://errorsmanager.k3y.pw/
    https://git.k3y.pw/KyMAN/ErrorsManager
Kanvas
    *https://kanvas.k3y.pw/images/Kanvas.png
    *https://kanvas.k3y.pw/images/Kanvas-512.png
    *https://kanvas.k3y.pw/favicon.ico
    https://kanvas.k3y.pw/
    https://git.k3y.pw/KyMAN/Kanvas
MuWeb
    *https://muweb.k3y.pw/images/MuWeb.png
    *https://muweb.k3y.pw/images/MuWeb-512.png
    *https://muweb.k3y.pw/favicon.ico
    https://muweb.k3y.pw/
    https://git.k3y.pw/KyMAN/MuWeb
"""]]

```

> [!!] Para describir alguna cosa concreta de alguno de estos elementos ha de hacerse fuera del módulo.

<!-- [[wmd]] -->
