```wmd-options
language = es
title_i18n = wmarkdown_title_tables
title_text = Tablas - WMarkDown
```

<!-- [[wmd]] -->

### Tablas

Las tablas en WMarkDown no siguen ningún estandar concreto pues desde WMarkDown las consideramos altamente ineficientes, muy posiblemente por desconocimiento pero hemos hecho algunos cambios que tiran más hacia MediaWiki que a Markdown, aun así, el parecido y la funcionalidad son similares.

Teniendo en cuenta que tanto a nivel de texto plano sobre WMarkDown como a nivel gráfico proceso han de ser altamente visibles, así cmo simplificar en la medida de lo posible la composición de una de éstas, se hizo de la siguiente forma.

```wmd-examples

A continuación montaremos una tabla.

[| class="jojo"
|^ Cabecera 1 | Cabecera 2 | Cabecera 3 | Cabecera N
|= Título 1   | Título 2   | Título 3   | Título N
|  Elemento 1 | Elemento 2 | Elemento 3 | Elemento N
|  Elemento 1 | Elemento 2 | Elemento 3 | Elemento N
|  Elemento 1 | Elemento 2 | Elemento 3 | Elemento N
|_ Pie 1      | Pie 2      | Pie 3      | Pie N
|]

```

Como podemos observar, las tablas se abren mediante corchete y exclamación, donde la primera línea nos permite poner atributos a la misma, pero a nivel de la etiqueta TABLE en HTML. Por otro lado, tenemos los títulos, que se hacen a partir de acento circunflejo ("^") para indicar que será para la cabecera; el guión bajo ("_") para indicar que es para el pie de página; y el igual ("=") que indica que es para ambos. Las cabecerás se irán creando verticalmente según aparezcan en la tabla y no tienen que ir en ninguna posición específica.

Por otro lado, decir que se puede hacer Span de las columnas, es decir, unir dos o más columnas de una forma visual y sencilla. Para ello se unirán tuberías, caracter que divide cada columna. Si no hay espacios ni nada que las separe, éstas se unirán en una única celda en esa tupla concreta.

```wmd-examples

[|
|= Columna 1 | Columna 2 | Columna 3 | Columna 4 | Columna 5
|  Columna 1 | Columna 2 | Columna 3 | Columna 4 | Columna 5
|||  Columna 1-3                     | Columna 4 | Columna 5
|  Columna 1 | *Columna* 2 ||| Columna 3-5
|  Columna 1 || Columna 2-3          | [https://wmarkdown.k3y.pw/#tablas Columna 4] | Columna 5
|]

```

> [!#] Los Span o uniones de columnas en una celda se pueden realizar tanto en los títulos como en el cuerpo.

> [!!] También hay que destacar que hay que controlar bien el número de columnas por fila para que éstas sean igual y comunes en todas.

> [!!] Es importante destacar también que las celdas también serán formateadas según los parámetros de WMarkDown, como las negrillas u otras marcas que pueda haber en éstas.

Finalmente, también decir que se pueden hacer celdas que pueden tener saltos de línea. Ésto se puede llevar a cabo mediante comillas tanto dobres como simples.

```wmd-examples

[|
|= Columna 1 | Columna 2 | Columna 3
|  Celda 1-A | Celda 2-A | Celda 3-A
|  Celda 1-B | "Celda 2-B

Esto es más contenido de la celda 2-B." | Celda 3-B
|  Celda 1-C | 'Celda 2-C

Esto es más contenido de la celda 2-C.' | Celda 3-C
|]

```

> [!!] Es importante destacar que las celdas se consideran subelementos, es decir, no son considerados elementos de bloque como párrafos o similares y quedan plenamente condicionadas a subelementos de bloque, por eso, en el ejemplo aquí mostrad, pese a haber doble salto de línea, éste permanece como una única línea.

> [!!] Es importante mencionar también que si un texto empieza y acaba por comillas dobles o comillas simples, éstas se omitirán en el resultado final pues se entenderá que son conjuntos para gestionar en multilínea.

<!-- [[wmd]] -->