```wmd-options
language = es
title_i18n = wmarkdown_title_titles
title_text = Títulos - WMarkDown
```

<!-- [[wmd]] -->

### Títulos

Los títulos en WMarkDown no sólo son un formato, sino también una referencia dentro de página. Es muy importante su buen uso dentro del documento para evitar no sólo conflictos con los estándares, sino también dentro del propio WMarkDown. Los títulos serían los siguientes:

```wmd-examples
## Esto sería un H2.

### Esto sería un H3.

#### Esto sería un H4.

##### Esto sería un H5.

###### Esto sería un H6.

```

> [!!] Hay que tener en cuenta que el WMarkDown permite **incluir** contenido entre distintos **ficheros**, y éstos pueden ir gestionados con títulos. Éstos no cambiarán tras la carga por lo que si se adjunta un archivo con títulos a la altura o superiores al actual pueden romper la dinámica del documento resultante. 

> [!!] También es importante destacar que el **tamaño de los títulos** va porcentuado al texto actual según formato del WMarkDown. 

> [!!] También es importante mencionar que **no hay títulos por encima de H6**, y **se desaconseja**, por estándar de HTML, el uso de **H1**, salvo de forma manual en la cabecera de la Web para representar el logo y/o nombre del sitio o documento.

Como alternativa para seguir los estándares de MarkDown y MediaWiki, tenemos la opción de hacer los títulos de la siguiente manera:

```wmd-examples
== Esto sería un H2 ==

=== Esto sería un H3 ===

==== Esto sería un H4 ====

===== Esto sería un H5 =====

====== Esto sería un H6 ======

```

> [!!] Existe una alternativa en MarkDown oficial que sería para los H1 y los H2 con respecto a subrayar una línea con caracteres de igual ("=") para los H1; y con guines medios ("-") para los H2. Al trabajar H1 y H2, pese a poderlos adaptar a H2 y H3 por la filosofía de trabajo de WMarkDown, éstos no se implementaron, tanto por la complejidad a la hora de ser interpretados como por el poco uso que se vio tras un análisis inicial.

<!-- [[wmd]] -->