[[post_data {
    "author" : "KyMAN",
    "since" : 20210502,
    "version" : 20220402
}]]
# Bugs

Aquí se documentarán todos los Bugs encontrados hasta la fecha y se determinará si está arreglado o
no. También pueden salir en los objetivos de los miembros del proyecto. Los Bugs que aparecen solo
serán los reportados o los encontrados por el propio equipo durante el desarrollo, pruebas o
funcionamiento del mismo.

> La gestión de realización de los Bugs siguer el mismo patrón de los objetivos, donde cada Checkbox
es cada uno de los miembros de Whalers: Tarsier y KyMAN consecutivamente.

## Hash Alphabet bloqueado por Array

Si estableces un Array de caracteres en el Hash Alphabet, el método WMarkDown::get\_hash se bloquea.
Con esto también se vio el riesgo que supone permitir cualquier tipo de caracter por lo que para
arreglar esta observación es importante generar un limitador de caracteres que puede partir una vez
cargadas las configuraciones dejando al parámetro "hash\_alphabet" como un parámetro global privado
de la configuración ya gestionado.

- [ ] [X] Arreglar el bloqueo por Array del "hash_alphabet".
- [ ] [X] Gestionar de forma global los caracteres del "hash_alphabet".

## Formatos sin escapes

Cuando queremos poner un guión bajo u otro caracter usado para formatos de línea, éstos son
substituídos, cuando hay un par, por el formato en cuestión. Requieren de un sistema de escape
urgente pues están dañando la sintaxis del texto.

- [ ] [X] Escapar caracteres de formato y de línea.

## Bloque de código no reconocido

Existe un problema a la hora de interpretar un bloque de código, en este caso en el fichero de FAQ,
donde hay dos bloques y toma al primero como párrafo, lo que elimina el formato de los bloques
siguientes.

- [ ] [X] Arreglar el problema de los bloques de código.

> El problema estaba en que no seleccionaba el primer bloque, sino el último.

## Fallo de escape de estilos

Los escapes de los estilos salen reflejados también en el menú. También fallan los niveles ante la
inclusión de ficheros por herencia del último nivel utilizado.

- [ ] [X] Corregir en el menú los escapes de los estilos.
- [ ] [X] Corregir niveles heredados.

> *Parte de los Bugs se ven por la librería del Syntax Highlighter actual.*

## Fallo última línea CodeBlocks

A veces desaparece la última línea en los CodeBlocks.

- [ ] [X] Encontrar y corregir el Bug.

> El problema residía en el Scroll Hidden del elemento padre del bloque de código en SCSS.

## Click central imágenes multimedia

Cuando hacemos Click con el botón central del ratón nos da un error en la página que incluso nos
llega a salir de la vista actual y en ocasiones, no dejando regresar con el Back.

- [ ] [ ] Arreglar el botón central de los elementos multimedia.

## Anidación listado numérico

Hay un Bug en la anidación de listado numérico cuando éste es con más de un caracter Hash, dando
como título dicha línea. Un ejemplo puede ser el siguiente:

```md
Lista numérica con anidación con Bug:

# elemento1.
# elemento2.
## Elemento2.1
## Elemento2.2
## Elemento2.3
# elemento3.
# ...
# elementoN.
```

En este ejemplo, los elementos anidados en el punto 2 serán títulos dentro de una lista que continúa
el orden numérico como si no estuvieran anidados, sino que pertenecieran al primer nivel de la
lista.

- [ ] [ ] Arreglar el problema de anidación.

## wmd.php no tira a la primera

El archivo "wmd.php" no tira a la primera, es como que requiere de que exista el "html.files.json".

- [ ] [ ] Arreglar este problema.

## 2022040200 - Error en el evento automático del logo

Hay un evento que se genera automáticamente con ECMA que determina si se cargó correctamente el logo
o no. En caso de no haber sido cargado correctamente, éste desaparecerá. El caso es que no funciona.

[ ] [X] Arreglar el Bug.

> [[! note NOTA]]: El problema se encontraba en que el evento se generaba una vez se cargaba la
página Web, con el problema consiguiente de que ya pudo haber saltado el evento de carga de la
imagen y por tanto, no afectar realmente al estado del mismo. Para solucionarlo lo que había que
hacer es crear un objeto Image el cual tenga el mismo SRC y aplicarle el evento a éste y los efectos
al original.

```js

const logo = wmarkdown.querySelector(".logo img"),
      temporary_image = new Image();

logo.setAttribute("data-status", "loading");
temporary_image.src = logo.getAttribute("src");

temporary_image.addEventListener("load", event => logo.parentNode.setAttribute("data-status", "ok"));
temporary_image.addEventListener("error", event => logo.parentNode.setAttribute("data-status", "error"));

```

## 20221012 - file_get_contents directory

Hay un error en la actual línra 229 del fichero /PHP/WMarkDown.php en la cual se 
determina que se está intentando hacer una lectura de un directorio como fichero.

```php
public function load_file($path){
    foreach(["", $this->root, $this->wmarkdown_root] as $root)
        if(file_exists($file = $root . $path))
            return file_get_contents($file);
    return null;
}
```

- [ ] [X] Localizar el problema.
- [ ] [X] Arreglarlo.

```php
public function load_file($path){
    foreach(["", $this->root, $this->wmarkdown_root] as $root)
        if(file_exists($file = $root . $path) && !is_dir($file))
            return file_get_contents($file);
    return null;
}
```

[[html_data {
    "title" : "WMarkDown - Bugs",
    "url" : "https://wmarkdown.k3y.pw/es/doc/bugs.html",
    "author" : "Tarsier, KyMAN",
    "since" : 20210511,
    "version" : 20220402,
    "key_words" : "Whalers,MarkDown,MediaWiki,WMarkDown,bugs,errores,fallos",
    "description" : "Bugs encontrados en WMarkDown. Descripción y estado de los mismos.",
    "project" : "WMarkDown",
    "logo" : "https://wmarkdown.k3y.pw/images/wmarkdown.png",
    "language" : "es"
}]]
