[[post_data {
    "author" : "KyMAN",
    "since" : 20210505,
    "version" : 20210511
}]]
# FAQ (Preguntas frecuentes)

Ante este proyecto, que aunque no es muy grande, tiene su extensión documental, le pondremos un
apartado de resolución de dudas y preguntas rápidas que vayan surgiendo, el cual es este. Dicho
apartado puede actualizarse sin que se actualice el proyecto en cuestión cuando se consxidere que la
pregunta es muy recurrente o se ve importante.

## Escape de caracteres

Al estar en un entorno con un lenguaje de etiquetas donde un caracter puede significar un concepto
entero de formato o de elemento, por lo tanto, sería un caracter no usable a nivel de texto o
resultado final. Para evitar esto existe un sistema que permite escapar dichos caracteres cuando
éstos se tratan de un elemento de línea, es decir, un elemento que pueda estar incluído dentro de
una línea de texto o un párrafo, como puede ser una negrilla o una cursiva. Para realizar dicho
escape hemos de usar el el caracter Slash ("\\", escapándose así "\\\\"). Dicho caracter también
permite escaparse a sí mismo, por lo que si se quiere poner un Slash ha de ponerse doblemente, o en
caso de estar en un IDE o entorno donde el caracter de escape sea Slash también, ha de duplicarse
con el escape correspondiente ("\\\\\\\\").

## Listas numéricas y cabeceras

Cuando hablamos de MarkDown, una cabecera se inicia con el caracter Hash ("#"), sin embargo, cuando
hablamos de listas ordenadas numéricas en MediaWiki, el caracter usado también es el Hash. Para
diferenciar ambos a nivel del texto se establece que una cabecera tiene al menos dos saltos de línea
en su parte inferior, siendo una línea única separada del resto de bloques de texto, mientras que
las listas son de al menos dos elementos y solo hay un salto de línea que separa cada línea,
quedando como un único bloque. Un ejemplo de ello puede ser lo siguiente:


```txt

# Esto es una cabecera

Esta cabecera se inicia al principio de todo.

# Esto es otra cabecera

Esta sería una cabecera que está por el medio del texto.

## Cabecera de segundo nivel

Esto sería una cabecera de segundo nivel.

# Primer elemento.
# Segundo elemento.
# Tercero elemento.
# Cuarto elemento.

Y esto que hemos puesto es una lista ordenada numérica que empieza en 1 y se incrementará 1 por cada
línea puesta.

Para evitar confusiones, también se permite el uso del caracter numérico, el cual determina el
inicio de la lista, y para equiparar el ejemplo anterior tendríamos:

1. Primer elemento.
1. Segundo elemento.
1. Tercero elemento.
1. Cuarto elemento.

Y esto mismo, siguiendo la esquemática de MarkDown, sería:

1. Primer elemento.
2. Segundo elemento.
3. Tercero elemento.
4. Cuarto elemento.

jojo

```
## Diferentes opciones para lo mismo

Se usan diferentes opciones para llegar a un mismo fin para poderlo usar como alternativa o incluso,
como escape de sí mismo, por ejemplo, cuando ingresamos un bloque de código para presentar como se
haría otro bloque de código dentro de WMarkDown usaríamos las distintas formas de llamar a los
bloques de código, una que represente la principal, y la otra que represente la interna. Por
ejemplo:

"""md
---md
Esto es MarkDown y a continuación pongo un bloque de código.
```js
console.log("Esto es JavaScript.");
```
---
"""

[[html_data {
    "title" : "WMarkDown - F.A.Q.",
    "url" : "https://wmarkdown.k3y.pw/es/doc/faq.html",
    "author" : "Tarsier, KyMAN",
    "since" : 20210502,
    "version" : 20210511,
    "key_words" : "Whalers,MarkDown,MediaWiki,WMarkDown,faq,preguntas,frecuentes",
    "description" : "Preguntas frecuentes para el uso de WMarkDown.",
    "project" : "WMarkDown",
    "logo" : "https://wmarkdown.k3y.pw/images/wmarkdown.png",
    "language" : "es"
}]]
