[[post_data {
    "author" : "KyMAN",
    "since" : 20210511,
    "version" : 20210513
}]]
# Checks, Radios y Ticks

Como en cualquier sistema documental, ya sea una libreta de apuntes a mano o cualquier otro sistema
digital, es importante contar con un sistema que permita mostrar elementos seleccionados y no
seleccionados, una selección de elemento sobre un grupo, o Targets llevados a cabo, entre otras
opciones de selección. Para ello se usarán los Checks, Radios y Ticks.

> Aunque tanto los Checks, como los Radios como los Ticks se pueden usar independientemente, a nivel
de HTML o programación, tienen funcionalidades diferentes que visualmente pueden identificar algo
concreto, es por ello que se hace la siguiente distinción.

MediaWiki no tiene un medio dado para hacer dicha operación salvo el propio HTML; y MarkDown solo
tiene la opción por defecto de hacer Checkboxes únicamente, con solo dos posiciones: activado o no
desactivado. Aquí añadimos un nuevo estado puede puede considerarse un ternario como "estar en
proceso" o que simplemente se ignore del resto de elementos seleccionados.

Para poder llevar a cabo todas estas distinciones se hace uso de encapsulados de apertura y cierre
con corchetes para los Checks, paréntesis para los Radios y llaves o diamantes para los Ticks. Los
caracteres que identifican el estado serían los siguientes:

- _"-", "\", "\\", "=", "|", "·" o "?"_: Deshabilitado, en proceso, ignorado.
- _"*", "+", "X", "V", "Y" o "#"_: Seleccionado.
- _" " o "N"_: No seleccionado.

> El sistema no diferencia mayúsculas de minúsculas, por lo que se pueden usar independientemente.

> **IMPORTANTE**: El caracter "V" indicará Tick afirmativo siempre, independientemente del
encapsulado.

## Checks

Los Checks o Checkbox son iconos que representan si un elemento está seleccionado o no. Es usado en
programación como casilla de selección o para visualizar si los elementos seleccionados,
independientemente del número de elementos, agrupaciones de los mismos, etc. Éstos se identifican
con los caracteres de apertura y cierre de corchete ("\[" y "\]") para encapsular su estado.

<table style="width:100%;">
    <thead>
        <tr>
            <th style="width:50%;">WMarkDown</th>
            <th style="width:50%;">Resultado</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td>

```md
- [ ] No seleccioando.
- [X] Seleccionado.
- [-] Deshabilitado.
```

            </td>
            <td>

- [ ] No seleccionado.
- [X] Seleccionado.
- [-] Deshabilitado.

            </td>
        </tr>
    </tbody>
</table>

## Radios

Los Radios o RadioButtons son iconos que representan una selección única por grupo, aunque en
WMarkDown puede ser usado independientemente a gusto del autor del texto. Dicho elemento se
identifica por la encapsulación de los caracteres de apertura y cierre de paréntesis ("(" y ")").

<table style="width:100%;">
    <thead>
        <tr>
            <th style="width:50%;">WMarkDown</th>
            <th style="width:50%;">Resultado</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td>

```md
- ( ) No seleccionado.
- (X) Seleccionado.
- (-) Deshabilitado.
```

            </td>
            <td>

- ( ) No seleccionado.
- (X) Seleccionado.
- (-) Deshabilitado.

            </td>
        </tr>
    </tbody>
</table>

## Ticks

Los Ticks son muy comunes cuando se trata de listas donde ir cubriendo objetivos, como una lista de
la compra, donde no existe un recuadro o círculo donde se marcan los elementos. Se identifican
mediante la encapsulación entre los caracteres de apertura y cierre de diamante ("<" y ">") o llaves
("{" o "}").

> **IMPORTANTE**: Es importante destacar que los Ticks no tienen la opción de elemento deshabilitado
por suponerse un elemento escrito.

<table style="width:100%;">
    <thead>
        <tr>
            <th style="width:50%;">WMarkDown</th>
            <th style="width:50%;">Resultado</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td>

```md

Con diamantes:

- < > No seleccionado.
- <X> Seleccionado.
- <-> Deshabilitado.

Con llaves:

- { } No seleccionado.
- {X} Seleccionado.
- {-} Deshabilitado.

Uso del caracter V:

- [V] Seleccionado.
- (V) Seleccionado.
- <V> Seleccionado.

```

            </td>
            <td>

Con diamantes:

- < > No seleccionado.
- <X> Seleccionado.
- <-> Deshabilitado.

Con llaves:

- { } No seleccionado.
- {X} Seleccionado.
- {-} Deshabilitado.

Uso del caracter V:

- [V] Seleccionado.
- (V) Seleccionado.
- <V> Seleccionado.

            </td>
        </tr>
    </tbody>
</table>

[[html_data {
    "title" : "WMarkDown - Bugs",
    "url" : "https://wmarkdown.k3y.pw/es/doc/modules/checks.html",
    "author" : "Tarsier, KyMAN",
    "since" : 20210511,
    "version" : 20210511,
    "key_words" : "Whalers,MarkDown,MediaWiki,WMarkDown,módulo,check,checkbox,radio,radiobutton,tick",
    "description" : "Funcionamiento de los elementos de selección.",
    "project" : "WMarkDown",
    "logo" : "https://wmarkdown.k3y.pw/images/wmarkdown.png",
    "language" : "es"
}]]
