[[post_data {
    "author" : "KyMAN",
    "since" : 20210512,
    "version" : 20210512
}]]
# Cabeceras (Headers)

Las cabeceras o Headers son equivalentes a las cabeceras de HTML, desde el nivel 1 hasta el 6, los
cuales se representan de la siguiente forma:

```md
# Cabecera de nivel 1       <h1>Cabecera de nivel 1</h1>
## Cabecera de nivel 2      <h2>Cabecera de nivel 2</h2>
### Cabecera de nivel 3     <h3>Cabecera de nivel 3</h3>
#### Cabecera de nivel 4    <h4>Cabecera de nivel 4</h4>
##### Cabecera de nivel 5   <h5>Cabecera de nivel 5</h5>
###### Cabecera de nivel 6  <h6>Cabecera de nivel 6</h6>
```

> Para seguir las normas de HTML, no habrá más de 6 niveles de cabeceras.

Dichas cabeceras representan el título de cada sección, subsección o fragmento de la documentación,
y en WMarkDown se usará también como guía para el menú, que navega por cabeceras para poder generar
un OnePage documental completo.

Cuando se incluye un fichero externo con la propiedad "include" éste sumará el nivel de la cabecera
en la que se encuentra la inclusión. En caso de no quererse ampliar o quererse ampliar solo ciertos
niveles, existe una propiedad llamada "header_level" que permite establecer un nivel del cual partir
en la siguiente inclusión.

```md

# Estamos en nivel 1.

Contenido del nivel 1.

## Estamos en nivel 2.

Contenido del nivel 2.

[[include path/fichero_a.w.md]]

[[header_level 0]]
[[include path/fichero_b.w.md]]

[[header_level 3]]
[[include path/fichero_c.w.md]]

[[header_level default]]
[[include path/fichero_d.w.md]]

```

En el ejemplo dado, la inclusión de "fichero\_a"  se hará al nivel actual, el nivel 2, quedando todos
los títulos herederos del nivel donde se encuentra; mientras que el segundo se hará sobre el nivel
raíz; y finalmente, el "fichero\_c" se pondrá a nivel hijo de 4.

Es importante mencionar que los niveles de inclusión suman al nivel del título donde se encuentre,
siendo nivel 0 cuando no hay título; nivel 1 cuando hay título; y sucesivos. Por lo tanto, si a esta
sucesión la ponemos en el nivel 3, se entiende que aquellos bloques que no están precedidos de
ningún título está en el nivel 3; los que están precedidos de un título de nivel 1 será el nivel 4,
y sucesivos.

> Para poder restaurar los niveles contra el padre, simplemente tomaremos como valor de la propiedad
"header_level" como "default".

Cara MediaWiki, las cabeceras se organizan con encapsulados de texto con el caracter igual ("="),
donde el número de éstos que salga por cualquiera de los dos lados del encapsulado, será el nivel
donde se encuentra, y siguiendo con la misma idea anterior, los niveles se encuentran entre 1 y 6
siendo éstos los siguientes:

```md
= Cabecera de nivel 1 =             # Cabecera de nivel 1       <h1>Cabecera de nivel 1</h1>
== Cabecera de nivel 2 ==           ## Cabecera de nivel 2      <h2>Cabecera de nivel 2</h2>
=== Cabecera de nivel 3 ===         ### Cabecera de nivel 3     <h3>Cabecera de nivel 3</h3>
==== Cabecera de nivel 4 ====       #### Cabecera de nivel 4    <h4>Cabecera de nivel 4</h4>
===== Cabecera de nivel 5 =====     ##### Cabecera de nivel 5   <h5>Cabecera de nivel 5</h5>
====== Cabecera de nivel 6 ======   ###### Cabecera de nivel 6  <h6>Cabecera de nivel 6</h6>
```

[[html_data {
    "title" : "WMarkDown - Cabeceras",
    "url" : "https://wmarkdown.k3y.pw/es/doc/modules/headers.html",
    "author" : "Tarsier, KyMAN",
    "since" : 20210511,
    "version" : 20210511,
    "key_words" : "Whalers,MarkDown,MediaWiki,WMarkDown,módulo,cabecera",
    "description" : "Cabeceras de WMarkDown.",
    "project" : "WMarkDown",
    "logo" : "https://wmarkdown.k3y.pw/images/wmarkdown.png",
    "language" : "es"
}]]
