[[post_data {
    "author" : "KyMAN",
    "since" : 20210513,
    "version" : 20210513
}]]
# Links

Los Links son los encargados de gestionar los vínculos entre páginas o dentro de la propia página,
incluyendo vínculos a sitios externos. En este caso nos encontramos con que MarkDown y MediaWiki
varían bastante el formato de los mismos por lo que la adaptación de ambos se basó en el lado del
MarkDown y se extendió a la idea de MediaWiki, quedando como resultado que todo Link encabezado por
el protocolo, ya sea HTTP, HTTPS, FTP, FTPS, SFTP, FILE, etc. Se considerará un Link.

## Links directos

En el siguiente ejemplo habrá una lista de Links a partir del protocolo en texto plano:

<table style="width:100%;">
    <thead>
        <tr>
            <th style="width:33%;">WMarkDown</th>
            <th style="width:33%;">Resultado</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td>

```md

- https://git.k3y.pw/
- https://wmarkdown.k3y.pw/
- https://cdn.k3y.pw/

Incluso podemos poner un link como https://ur3.k3y.pw/ dentro de un texto o párrafo y éste será
reconocido y formateado como Link HTML.

```

            </td>
            <td>

- https://git.k3y.pw/
- https://wmarkdown.k3y.pw/
- https://cdn.k3y.pw/

                Incluso podemos poner un link como https://ur3.k3y.pw/ dentro de un texto o párrafo y éste será
                reconocido y formateado como Link HTML.

            </td>
        </tr>
    </tbody>
</table>

## Links formateados

Pero los Links también se pueden formatear a partir del siguiente esquema:

<table style="width:100%;">
    <thead>
        <tr>
            <th style="width:33%;">WMarkDown</th>
            <th style="width:33%;">HTML</th>
            <th style="width:33%;">Resultado</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td>

```md
https://wmarkdown.k3y.pw/
```

            </td>
            <td>

```html
<a href="https://wmarkdown.k3y.pw/" title="https://wmarkdown.k3y.pw/" target="_blank">https://wmarkdown.k3y.pw/</a>
```

            </td>
            <td><a href="https://wmarkdown.k3y.pw/" title="https://wmarkdown.k3y.pw/" target="_blank">https://wmarkdown.k3y.pw/</a></td>
        </tr>
        <tr>
            <td>

```md
[https://wmarkdown.k3y.pw/]
```

            </td>
            <td>

```html
<a href="https://wmarkdown.k3y.pw/" title="https://wmarkdown.k3y.pw/" target="_blank">https://wmarkdown.k3y.pw/</a>
```

            </td>
            <td><a href="https://wmarkdown.k3y.pw/" title="https://wmarkdown.k3y.pw/" target="_blank">https://wmarkdown.k3y.pw/</a></td>
        </tr>
        <tr>
            <td>

```md
[https://wmarkdown.k3y.pw/ WMarkDown]
```

            </td>
            <td>

```html
<a href="https://wmarkdown.k3y.pw/" title="WMarkDown" target="_blank">WMarkDown</a>
```

            </td>
            <td><a href="https://wmarkdown.k3y.pw/" title="WMarkDown" target="_blank">WMarkDown</a></td>
        </tr>
        <tr>
            <td>

```md
[WMarkDown][https://wmarkdown.k3y.pw/]
```

            </td>
            <td>

```html
<a href="https://wmarkdown.k3y.pw/" title="WMarkDown" target="_blank">WMarkDown</a>
```

            </td>
            <td><a href="https://wmarkdown.k3y.pw/" title="WMarkDown" target="_blank">WMarkDown</a></td>
        </tr>
        <tr>
            <td>

```md
[WMarkDown](https://wmarkdown.k3y.pw/)
```

            </td>
            <td>

```html
<a href="https://wmarkdown.k3y.pw/" title="WMarkDown" target="_blank">WMarkDown</a>
```

            </td>
            <td><a href="https://wmarkdown.k3y.pw/" title="WMarkDown" target="_blank">WMarkDown</a></td>
        </tr>
        <tr>
            <td>

```md
[WMarkDown](https://wmarkdown.k3y.pw/ Página oficial de WMarkDown.)
```

            </td>
            <td>

```html
<a href="https://wmarkdown.k3y.pw/" title="Página oficial de WMarkDown." target="_blank">WMarkDown</a>
```

            </td>
            <td><a href="https://wmarkdown.k3y.pw/" title="Página oficial de WMarkDown." target="_blank">WMarkDown</a></td>
        </tr>
        <tr>
            <td>

```md
[WMarkDown][https://wmarkdown.k3y.pw/ Página oficial de WMarkDown.]
```

            </td>
            <td>

```html
<a href="https://wmarkdown.k3y.pw/" title="Página oficial de WMarkDown." target="_blank">WMarkDown</a>
```

            </td>
            <td><a href="https://wmarkdown.k3y.pw/" title="Página oficial de WMarkDown." target="_blank">WMarkDown</a></td>
        </tr>
    </tbody>
</table>

## Links locales

También se pueden hacer Links dentro del mismo sitio Web a partir de enlaces absolutos o relativos
haciendo uso de los corchetes o usando la misma metodología de Links no directos de la tabla
anterior, con la diferencia de que si el vínculo es dentro de la misma página, éste se hará sobre la
misma, subiendo o bajando el Scroll al destino dado. Un ejemplo de ello puede ser el siguiente:

<table style="width:100%;">
    <thead>
        <tr>
            <th style="width:33%;">WMarkDown</th>
            <th style="width:33%;">HTML</th>
            <th style="width:33%;">Resultado</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td>

```md
[/doc/example.html]
```

            </td>
            <td>

```html
<a href="/doc/example.html" title="/doc/example.html" target="_blank">/doc/example.html</a>
```

            </td>
            <td><a href="/doc/example.html" title="/doc/example.html" target="_blank">/doc/example.html</a></td>
        </tr>
        <tr>
            <td>

```md
[#FAQ-Preguntas-frecuentes-1]
```

            </td>
            <td>

```html
<a href="#FAQ-Preguntas-frecuentes-1" title="#FAQ-Preguntas-frecuentes-1" target="_blank">#FAQ-Preguntas-frecuentes-1</a>
```

            </td>
            <td><a href="#FAQ-Preguntas-frecuentes-1" title="#FAQ-Preguntas-frecuentes-1" target="_self">#FAQ-Preguntas-frecuentes-1</a></td>
        </tr>
    </tbody>
</table>

## Links referenciados

Finalmente, existe otro tipo de Link, el cual llamamos "referenciado", que de por sí se crea en HTML
como un vínculo como cualquiera de los anteriores, sea un Link válido o no, y luego, en el entorno
cliente, el vínculo cambia según la referencia, si es que ésta existe. La referencia es una línea en
la cual se hace un Alias que luego puede ser usado para identificar ese Link, de esa forma, a partir
de un nombre o un texto, éste puede ser identificado. A continuación se establece un ejemplo:

<table style="width:100%;">
    <thead>
        <tr>
            <th style="width:33%;">WMarkDown</th>
            <th style="width:33%;">Resultado</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td>

```md

- [WMarkDown](https://wmarkdown.k3y.pw/)
- [URfree](https://ur3.k3y.pw/)
- [Git de inoro](git_inoro)
- [Git de KyMAN](git_kyman)

[git_inoro]: https://git.a3do.net/
[git_kyman]: https://git.k3y.pw/

```

            </td>
            <td>

- [WMarkDown](https://wmarkdown.k3y.pw/)
- [URfree](https://ur3.k3y.pw/)
- [Git de inoro](git_inoro)
- [Git de KyMAN](git_kyman)

[git_inoro]: https://git.a3do.net/
[git_kyman]: https://git.k3y.pw/

            </td>
        </tr>
    </tbody>
</table>

[[html_data {
    "title" : "WMarkDown - Links",
    "url" : "https://wmarkdown.k3y.pw/es/doc/modules/links.html",
    "author" : "Tarsier, KyMAN",
    "since" : 20210513,
    "version" : 20210513,
    "key_words" : "Whalers,MarkDown,MediaWiki,WMarkDown,módulo,links,hipervículos,vínculos",
    "description" : "Links Web.",
    "project" : "WMarkDown",
    "logo" : "https://wmarkdown.k3y.pw/images/wmarkdown.png",
    "language" : "es"
}]]
